;InnoSetupVersion=3.0.8

[Setup]
AppName=IsoBuster
AppVerName=IsoBuster 1.4
AppId=IsoBuster
AppVersion=1.4
AppPublisher=Smart Projects
AppPublisherURL=http://www.smart-projects.net/
DefaultDirName={reg:HKCU\Software\Smart Projects\IsoBuster,InstallPath|{pf}\Smart Projects\IsoBuster}
DefaultGroupName=Smart Projects\IsoBuster
UninstallFilesDir={app}\Uninst
OutputBaseFilename=IsoBuster 1.4 (All languages) Setup
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\IsoBuster.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Lang\Chinese_Simp.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Chinese_Trad.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Deutsch.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Espanol.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Francais.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Cesky.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Greek.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Ukranian.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Hebrew.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Islenska.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Italiano.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Japanese.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Polski.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Portugues.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Romana.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Nederlands.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Russian.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Afrikaans.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Slovensky.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Svenska.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Lithuanian.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Turkish.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Dansk.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Estonian.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Brasil.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Bulgarian.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Catalan.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Lang\Suomi_Finnish.dll"; DestDir: "{app}\Lang"; Flags: ignoreversion 
Source: "{app}\Online\IsoBuster Online.html"; DestDir: "{app}\Online"; Flags: ignoreversion 
Source: "{app}\Online\Order Now.html"; DestDir: "{app}\Online"; Flags: ignoreversion 
Source: "{app}\Help\IsoBuster.hlp"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\IsoBuster.cnt"; DestDir: "{app}\Help"; Flags: ignoreversion 

[Dirs]
Name: "{app}"; Flags: uninsalwaysuninstall 
Name: "{app}\Lang"; Flags: uninsalwaysuninstall 
Name: "{app}\Plug Ins"; Flags: uninsalwaysuninstall 
Name: "{app}\Online\"; Flags: uninsalwaysuninstall 
Name: "{app}\Help\"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\Smart Projects\IsoBuster"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\isobuster.exe"; ValueType: String; ValueData: "{app}\IsoBuster.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\isobuster.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 
Root: HKCR; Subkey: ".iso"; ValueType: String; ValueData: "IsoFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "IsoFileImage"; ValueType: String; ValueData: "ISO Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "IsoFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "IsoFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".bin"; ValueType: String; ValueData: "BinFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BinFileImage"; ValueType: String; ValueData: "BIN Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BinFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "BinFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".img"; ValueType: String; ValueData: "ImgFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ImgFileImage"; ValueType: String; ValueData: "IMG Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ImgFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "ImgFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".cif"; ValueType: String; ValueData: "CifFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "CifFileImage"; ValueType: String; ValueData: "CIF Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CifFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "CifFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".fcd"; ValueType: String; ValueData: "FcdFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "FcdFileImage"; ValueType: String; ValueData: "FCD Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "FcdFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "FcdFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".nrg"; ValueType: String; ValueData: "NrgFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "NrgFileImage"; ValueType: String; ValueData: "NRG Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "NrgFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "NrgFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".gcd"; ValueType: String; ValueData: "GcdFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "GcdFileImage"; ValueType: String; ValueData: "GCD Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "GcdFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "GcdFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".P01"; ValueType: String; ValueData: "P01FileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "P01FileImage"; ValueType: String; ValueData: "P01 Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "P01FileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "P01FileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".c2d"; ValueType: String; ValueData: "C2dFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "C2dFileImage"; ValueType: String; ValueData: "C2D Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "C2dFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "C2dFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".dao"; ValueType: String; ValueData: "DaoFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "DaoFileImage"; ValueType: String; ValueData: "DAO Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "DaoFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "DaoFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".tao"; ValueType: String; ValueData: "TaoFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TaoFileImage"; ValueType: String; ValueData: "TAO Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TaoFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "TaoFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".cdi"; ValueType: String; ValueData: "CdiFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "CdiFileImage"; ValueType: String; ValueData: "CDI Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CdiFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "CdiFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".cue"; ValueType: String; ValueData: "CueFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "CueFileImage"; ValueType: String; ValueData: "CUE File for Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CueFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,3"; 
Root: HKCR; Subkey: "CueFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".cd"; ValueType: String; ValueData: "CDFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "CDFileImage"; ValueType: String; ValueData: "CD Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CDFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "CDFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".gi"; ValueType: String; ValueData: "GIFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "GIFileImage"; ValueType: String; ValueData: "GI Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "GIFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "GIFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".pxi"; ValueType: String; ValueData: "PXIFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "PXIFileImage"; ValueType: String; ValueData: "PXI Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PXIFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "PXIFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 
Root: HKCR; Subkey: ".pdi"; ValueType: String; ValueData: "PDIFileImage"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "PDIFileImage"; ValueType: String; ValueData: "PDI Image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PDIFileImage\DefaultIcon"; ValueType: String; ValueData: "{app}\IsoBuster.exe,1"; 
Root: HKCR; Subkey: "PDIFileImage\shell\open\command"; ValueType: String; ValueData: """{app}\IsoBuster.exe"" ""%1"""; 

[Run]
Filename: "{app}\IsoBuster.exe"; Description: "Launch IsoBuster"; Flags: postinstall nowait

[Icons]
Name: "{group}\IsoBuster"; Filename: "{app}\IsoBuster.exe"; 
Name: "{group}\Help"; Filename: "{app}\Help\IsoBuster.hlp"; 
Name: "{group}\IsoBuster Online"; Filename: "{app}\Online\IsoBuster Online.html"; 
Name: "{group}\Order Now"; Filename: "{app}\Online\Order Now.html"; 
Name: "{sendto}\IsoBuster"; Filename: "{app}\IsoBuster.exe"; 
Name: "{userdesktop}\IsoBuster"; Filename: "{app}\IsoBuster.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\IsoBuster"; Filename: "{app}\IsoBuster.exe"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall IsoBuster"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; 

[InstallDelete]
Type: files; Name: "{app}\FAQ\*.txt"; 
Type: dirifempty; Name: "{app}\FAQ"; 
Type: files; Name: "{group}\FAQ Files.*"; 
